XCOLORS(1)

NAME
xcolors - display all X11 color names and colors

SYNOPSIS
xcolors [ -start color ] [ -near color ] [ -distance howfar ]

DESCRIPTION
xcolors reads the rgb.txt file that defines the color names the X server knows and displays the colors found.

At the top of the window is a sample region containing text. By clicking on the color names, the color of the sample text can be changed. Mouse button 1 changes the foreground; button 2 changes the background. The text can also be edited.

Typing ``q'' exits the program.

OPTIONS
In addition the the usual X Toolkit options, xcolors understands these command line options:

-start name
    specify a color name to start with; colors before this one in the rgb.txt file are skipped. This option is useful if there are more colors than will fit on your screen or in your colormap.

-rgbfile filename
    specify an alternate color database file to read.

-near nearcolor
    only show colors near this one in the RGB space. All colors within a sphere in the RGB-space centered on nearcolor are displayed.

-distance howfar
    defines how close colors have to be to nearcolor to be displayed. This option sets the radius of the sphere used by the -near option. The scale is such that the RGB cube is 256 units on a side. The default is 64.

ACTIONS

set-foreground([color])
    Set the foreground color of the sample region. If no color is provided, the color is taken from the border color of the widget where the action occurred.

set-background([color])
    Same as set-foreground() but sets the background color.

quit()
    Exit xcolors.

RESOURCES
Xcolors has a few top-level application resources that allow customizations that are specific to xcolors.

startColor (classStartColor)
    See the -start option.

rgbFile (classRgbFile)
    See the -rgbfile option.

nearColor (classNearColor)
    See the -near option.

nearDistance (classNearDistance)
    See the -distance option.

WIDGET HIERARCHY
Knowing the name and position in the hierarchy of each widget is useful when specifying resources for them. In the chart below, the class and name of each widget is given.

Xcolors xcolors
	Paned panes
		AsciiText sample
		Viewport viewport
			Box colors
				Label colorname
				Label colorname
				.
				.
				.

FILES

/etc/X11/rgb.txt
    X color names and values.

BUGS
Assumes that all names for the same color are consecutive in the rgb.txt file.

Because xcolors cannot read the server's color name database, the color names it uses may not match those in the server. This is most likely to happen if xcolors is run from a remote host.

The program would be faster if it used gadgets instead of widgets for the color spots.

AUTHOR
Stephen Gildea, MIT X Consortium